#
#       Makefile for sample/uspack
#

include ../../../Mkinclude

LIBOBJS		= uspk01 uspk02 uspk03 uspk04 \
		  uspk06 uspk07 uspk08 \
		  uspk09 uspk10 uspk11 uspk12
EPSFILES	= uspk01_0001.eps uspk02_0001.eps uspk03_0001.eps uspk04_0001.eps \
		  uspk06_0001.eps uspk07_0001.eps uspk08_0001.eps uspk09_0001.eps \
		  uspk09_0002.eps uspk10_0001.eps uspk10_0002.eps \
		  uspk11_0001.eps uspk12_0001.eps


all: mkobj $(EPSFILES) MVobj

mkobj: $(LIBOBJS)

MVobj:
	$(RM) $(LIBOBJS)

uspk01_0001.eps:
	echo 2 | ./uspk01 -sw_fname=uspk01 -sw_ifl=2

uspk02_0001.eps:
	echo 2 | ./uspk02 -sw_fname=uspk02 -sw_ifl=2

uspk03_0001.eps:
	echo 2 | ./uspk03 -sw_fname=uspk03 -sw_ifl=2

uspk04_0001.eps:
	echo 2 | ./uspk04 -sw_fname=uspk04 -sw_ifl=2

uspk06_0001.eps:
	echo 2 | ./uspk06 -sw_fname=uspk06 -sw_ifl=2

uspk07_0001.eps:
	echo 2 | ./uspk07 -sw_fname=uspk07 -sw_ifl=2

uspk08_0001.eps:
	echo 2 | ./uspk08 -sw_fname=uspk08 -sw_ifl=2

uspk09_0001.eps:
	echo 2 | ./uspk09 -sw_fname=uspk09 -sw_ifl=2

uspk09_0002.eps: uspk09_0001.eps

uspk10_0001.eps:
	echo 2 | ./uspk10 -sw_fname=uspk10 -sw_ifl=2

uspk10_0002.eps: uspk10_0001.eps

uspk11_0001.eps:
	echo 2 | ./uspk11 -sw_fname=uspk11 -sw_ifl=2

uspk12_0001.eps:
	echo 2 | ./uspk12 -sw_fname=uspk12 -sw_ifl=2
